GGIDRAWBOX(3)

NAME
ggiDrawBox, ggiPutBox, ggiGetBox - Draw, put, and get a rectangle from a visual

SYNOPSIS
#include <ggi/ggi.h>

int ggiDrawBox (ggi_visual_t vis, int x, int y, int w, int h);

int ggiPutBox (ggi_visual_t vis, int x, int y, int w, int h, void *buf);

int ggiGetBox (ggi_visual_t vis, int x, int y, int w, int h, void *buf);

DESCRIPTION

Draw, put, or get a rectangle at (x,y), extending w pixels in the positive x direction and h pixels in the positive y direction.

The *buf parameter in Get/Put functions points to a buffer from which the pixels will be read, or to which they will be written (it must be correctly allocated), depending on the case. See ggiPackColors and ggiUnmapPixels functions for more on how to deal with pixels.

RETURN VALUE

All three functions return 0 to indicate success.

SEE ALSO
ggiDrawHLine(3), ggiDrawVLine(3), ggiDrawLine(3), ggiMapColor(3), ggi_pixelformat(3)